AnsweredAssumed Answered

Failed patch.fixWebscriptTemplate due to violation of idx_alf_conturl_cr

Question asked by jan.vanoverveld@krinkels.com on Mar 26, 2019
Latest reply on Apr 8, 2019 by jan.vanoverveld@krinkels.com

An Alfresco community upgrade from 4.2 to 5.1 fails over patch.fixWebscriptTemplate.

 

2019-03-26 14:44:01,217 ERROR [org.alfresco.repo.admin.patch.PatchExecuter] [localhost-startStop-1]
=== Failed to apply patch ===
ID: patch.fixWebscriptTemplate

 

update 5 april 2019,

This patch failure seems to be the result of the violation of a unique key constraint, namely: idx_alf_conturl_cr

 

Does anybody know how to work around this issue?

Outcomes